function julian,iy,imm,id
;
;   (J.Meeus: Astr. Formulae for calculators, Willmann Bell Inc. 1982)
;   Parameters in :
;	  iy  -  year no. after 1900 
;	  im  -  month no. of the year	  
;	  id  -  day no. of the month  
;   Parameters out :
;	  jd  -  Julian day
;
	iyy=1900+long(iy)
	im=long(imm)
;
	if (im le 2) then begin
	   iyy=iyy-1
	   im=im+12
	endif
;
	ia=iyy/100
	ib=2-ia+ia/4
	ii=long(365.25*iyy)
	ij=long(30.6001*(im+1))
	bib=double(ib)
	jd=ii+ij+bib+1720994.5D0+long(id)
	return,jd
	end

