PRO OVEL2,otres,ima,minlife,reb,scale,color=COLOR,overplot=OVERPLOT

; To work with "ODO3" or "RES" files.
;Visualization of average velocities computed by OTROK.
;Inputs: otres  - resulting array of otrok
;	 ima   - underlying image (e.g. aver(41:110,71:140))
;	 minlife - lower lifetime limit (minutes)
;	 reb   - rebinning factor
;	 scale - scaling factor km/s - arrow length
;Keywords: color - arrow color (default 255)
;	   overplot - overplot existing velocity map

data=otres(*,where(otres(0,*) ge minlife))
s=size(data)
si=size(ima)
scale=scale*reb

if (keyword_set(overplot) eq 0) then begin
	window,2,xsize=si(1)*reb,ysize=si(2)*reb
	tvscl,rebin(ima,si(1)*reb,si(2)*reb)
endif

for i=0,s(2)-1 do begin
  x0=data(1,i)*reb	;beginning - average position
  y0=data(2,i)*reb
  x1=x0+data(3,i)*scale	;end - velocity magnitude
  y1=y0+data(5,i)*scale
  arrow,x0,y0,x1,y1,thick=1,hsize=4,color=COLOR
endfor
  arrow,2*reb,2*reb,2*reb+scale,2*reb,thick=2,hsize=4,color=255	;scale 1 km/s

END
