PRO maintrack,smov

;MAIN for OTRACK4 to perform object tracking
;in 4 quadrants (Left, Top, Right, Bottom)
;of Suetterlin's penumbra.
;
;INPUTS:  smov - full-size segmented movie
;	  'quadmask' - SAVE file with quadrant masks
;OUTPUTS: 'outlfl','outlft','outlfr','outlfb' -
;	  - SAVE files corresponding to L,T,R,B quadrants;
;	  each file contains corresponding OUT and LF arrays,
;	  e.g. 'outlfl' contains OUTL and LFL.

restore,'quadmask'	;get masks ml,mt,mr,mb
si=size(smov)

print,'LEFT QUADRANT'
mov=smov
for i=0,si(3)-1 do mov(0,0,i)=smov(*,*,i)*ml
OTRACK4,mov,outl,lfl
print,'SAVING'
print,''
save,outl,lfl,file='outlfl'
outl=0
lfl=0

print,'TOP QUADRANT'
mov=smov
for i=0,si(3)-1 do mov(0,0,i)=smov(*,*,i)*mt
OTRACK4,mov,outt,lft
print,'SAVING'
print,''
save,outt,lft,file='outlft'
outt=0
lft=0

print,'RIGHT QUADRANT'
mov=smov
for i=0,si(3)-1 do mov(0,0,i)=smov(*,*,i)*mr
OTRACK4,mov,outr,lfr
print,'SAVING'
print,''
save,outr,lfr,file='outlfr'
outr=0
lfr=0

print,'BOTTOM QUADRANT'
mov=smov
for i=0,si(3)-1 do mov(0,0,i)=smov(*,*,i)*mb
OTRACK4,mov,outb,lfb
print,'SAVING'
print,''
save,outb,lfb,file='outlfb'
outb=0
lfb=0

END
