PRO FhiobsD
;
; Figure; histograms of observed diameters
;
list=['s_16_sml','s_16_big','s_19_l','s_19_r','s_20']

restore,list(0)			;small pore
Db=sqrt(4.*tug(3,*)/!pi)*0.041
Dr=sqrt(4.*tuc(3,*)/!pi)*0.041
histy,Db,xb0,hb0,bin=0.04,min=0.09,max=0.61
histy,Dr,xr0,hr0,bin=0.04,min=0.09,max=0.61

restore,list(1)			;large pore
Db=sqrt(4.*tug(3,*)/!pi)*0.041
Dr=sqrt(4.*tuc(3,*)/!pi)*0.041
histy,Db,xb1,hb1,bin=0.04,min=0.09,max=0.61
histy,Dr,xr1,hr1,bin=0.04,min=0.09,max=0.61

restore,list(2)			;irreg.spot pt.1
tug1=tug
tuc1=tuc
restore,list(3)			;irreg.spot pt.2
tug=merge(tug1,tug)
tuc=merge(tuc1,tuc)
Db=sqrt(4.*tug(3,*)/!pi)*0.041
Dr=sqrt(4.*tuc(3,*)/!pi)*0.041
histy,Db,xb2,hb2,bin=0.04,min=0.09,max=0.61
histy,Dr,xr2,hr2,bin=0.04,min=0.09,max=0.61

restore,list(4)			;regular spot
Db=sqrt(4.*tug(3,*)/!pi)*0.041
Dr=sqrt(4.*tuc(3,*)/!pi)*0.041
histy,Db,xb3,hb3,bin=0.04,min=0.09,max=0.61
histy,Dr,xr3,hr3,bin=0.04,min=0.09,max=0.61

set_plot,'ps'
device,file='FhiobsD.ps',xsiz=16,ysiz=13,yoffs=12,encapsulated=0
!p.multi=[0,2,2]

plot,xb0,hb0,psym=10,xra=[0.,0.6],yra=[0,0.4],/xst,/yst, $
  xtitle='D!Dobs!N (arcsec)',ytitle='N/N!Dtotal!N'
oplot,xr0,hr0,psym=10,line=1,thick=2
xyouts,0.5,0.35,'(a)'

plot,xb1,hb1,psym=10,xra=[0.,0.6],yra=[0,0.4],/xst,/yst, $
  xtitle='D!Dobs!N (arcsec)',ytitle='N/N!Dtotal!N'
oplot,xr1,hr1,psym=10,line=1,thick=2
xyouts,0.5,0.35,'(b)'

plot,xb2,hb2,psym=10,xra=[0.,0.6],yra=[0,0.4],/xst,/yst, $
  xtitle='D!Dobs!N (arcsec)',ytitle='N/N!Dtotal!N'
oplot,xr2,hr2,psym=10,line=1,thick=2
xyouts,0.45,0.35,'(c+d)'

plot,xb3,hb3,psym=10,xra=[0.,0.6],yra=[0,0.4],/xst,/yst, $
  xtitle='D!Dobs!N (arcsec)',ytitle='N/N!Dtotal!N'
oplot,xr3,hr3,psym=10,line=1,thick=2
xyouts,0.5,0.35,'(e)'

!p.multi=0
device,/close
set_plot,'x'
END



